#!/bin/bash
#This script is used to switch the default homepage between supplementalweb and
#the standard local webpage
. /etc/systemconfig
DATADIR=/data/srv/httpd/htdocs

function rmindex {
    if [ -L $DATADIR/index.html ]
    then
        rm -f $DATADIR/index.html
    fi
}

if [ $SystemType = Master_backend -o  $SystemType = Standalone ]
then
    if [ x$1 = xsupplemental ]
    then
        rmindex
        ln -s $DATADIR/alt_index.html $DATADIR/index.html
   else
       rmindex
       ln -s $DATADIR/index.htm $DATADIR/index.html
   fi
else
	echo "This service is only available for StandAlone or Master_backend LinHES systems"

fi


